Description

L'utilisateur avancee doit pouvoir configurer le compte et la facon dont il se connectera au serveur.
L'utilisateur basique lui doit pouvoir se connecter en entrant le minimum d'information requise a savoir son JID et sont mot de passe.

Related issues:
Is duplicate of Feature #47: Creation configuration de compte jabber Closed 03/14/2009 05/24/2009

History

#1 - 05/24/2009 11:19 PM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback

Hmm en relisant la tache, je ne comprend pas qui est l'utilisateur basique ?
A quoi ca correspond ? Je veux dire le mec doit forcemment rentrer le serveur jabber et le port de celui-ci....
Suite a la discussion de ce WE, je vois vraiment pas la.

Merci de m'éclairer.

#2 - 05/24/2009 11:22 PM - Jean-Manuel Da Silva

- File beem-ui_poc.zip added

#3 - 05/25/2009 12:56 AM - Frédéric Barthéléry
Jean-Manuel Da Silva wrote:
Hmm en relisant la tache, je ne comprend pas qui est l'utilisateur basique ?

A quoi ca correspond ? Je veux dire le mec doit forcemment rentrer le serveur jabber et le port de celui-ci....
Suite a la discussion de ce WE, je vois vraiment pas la.

Les serveurs jabbers tout comme les serveur web ou autre ont un port attribué. celui ci est le 5222. Le jid contient le nom de domaine du serveur
contenant le compte a utiliser. L'utilisateur basique bete et idiot sais juste qu'il a un login qui ressemble a une adresse mail et un mot de passe pour y
acceder.

#4 - 05/25/2009 01:01 AM - Jean-Manuel Da Silva

OKAY.

Donc en fait ca a juste a voir avec la création de compte, et non pas les paramétres de connexions.

Enfin c'est lié. Quand I'utilisateur créé son compte, ca split son jid en deux et ca initialise les paramétres de BEEM avec en Serveur XMPP le domaine
et le port 5222.

Je suis full bon la ?
#5 - 05/25/2009 01:13 AM - Frédéric Barthéléry
Jean-Manuel Da Silva wrote:
OKAY.
Donc en fait ca a juste a voir avec la création de compte, et non pas les paramétres de connexions.
Enfin c'est lié. Quand I'utilisateur créé son compte, ca split son jid en deux et ca initialise les paramétres de BEEM avec en Serveur XMPP le
domaine et le port 5222.
Je suis full bon la ?

Ca a voir avec les parametres du compte (je considere que creation c'est la creation d'un compte sur le serveur je pense pas que ca soit de ca que tu
parle)
#6 - 05/25/2009 01:18 AM - Jean-Manuel Da Silva

Frédéric Barthéléry wrote:
Jean-Manuel Da Silva wrote:
OKAY.
Donc en fait ca a juste a voir avec la création de compte, et non pas les paramétres de connexions.
Enfin c'est lié. Quand I'utilisateur créé son compte, ca split son jid en deux et ca initialise les paramétres de BEEM avec en Serveur XMPP
le domaine et le port 5222.
Je suis full bon la ?

Ca a voir avec les parametres du compte (je considere que creation c'est la creation d'un compte sur le serveur je pense pas que ca soit de ca
que tu parle)

Hmm si totalement. La création du compte en effet créée un compte sur le serveur.

Cependant quand l'user créé un compte, I'action en elle méme est censée mettre a jour les paramétres de BEEM concernant I'onglet XMPP des
Settings non ?

Bon en gros il me faut juste deux réponses, a deux cas :

1 - L'user lance I'appli pour la premiére fois, es-ce que le port pour I'onglet XMPP est prérempli avec 5222 ?
2 - L'user créé un compte, es-ce que je rempli automatiquement les onglets Account et XMPP des Settings ?

#7 - 05/25/2009 01:30 AM - Frédéric Barthéléry
Jean-Manuel Da Silva wrote:
Hmm si totalement. La création du compte en effet créée un compte sur le serveur.
Cependant quand l'user créé un compte, I'action en elle méme est censée mettre a jour les parametres de BEEM concernant I'onglet XMPP des
Settings non ?
Oui vu qu'on peut supposer qu'il utilisera ce compte nouvellement creer pour se connecter.
Bon en gros il me faut juste deux réponses, a deux cas :
1 - L'user lance l'appli pour la premiére fois, es-ce que le port pour I'onglet XMPP est prérempli avec 5222 ?
Oui.

2 - L'user créé un compte, es-ce que je rempli automatiquement les onglets Account et XMPP des Settings ?

Oui voir reponse 0.
#8 - 05/25/2009 01:35 AM - Jean-Manuel Da Silva
Frédéric Barthéléry wrote:
Jean-Manuel Da Silva wrote:
Hmm si totalement. La création du compte en effet créée un compte sur le serveur.
Cependant quand l'user créé un compte, I'action en elle méme est censée mettre a jour les paramétres de BEEM concernant I'onglet
XMPP des Settings non ?
Oui vu qu'on peut supposer qu'il utilisera ce compte nouvellement creer pour se connecter.
Bon en gros il me faut juste deux réponses, a deux cas :
1 - L'user lance I'appli pour la premiére fois, es-ce que le port pour I'onglet XMPP est prérempli avec 5222 ?
Oui.

2 - L'user créé un compte, es-ce que je rempli automatiquement les onglets Account et XMPP des Settings ?

Oui voir reponse 0.

Elle existe pas la réponse 0, pourtant j'ai essayé <
[http:/dev.beem-project.com/issues/show/124#note-0]
Bon sinon je suis un homme heureux, tu as répondu a toutes mes questions je peux continuer !

Bisous mou :D

#9 - 05/25/2009 02:24 AM - Jean-Manuel Da Silva
- Status changed from Feedback to Assigned

#10 - 05/26/2009 10:47 PM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback

- % Done changed from 90 to 100

#11 - 05/29/2009 05:38 PM - Vincent Véronis
- Status changed from Feedback to Closed

Files

beem-ui_poc.zip 134 KB
